Subject: Re: [Gen-art] Genart last call review of draft-ietf-roll-useofrplinfo-25

From: Ines Robles <[email-masked]>
Date: Fri, 17 May 2019 12:20:53 +0300

Hi Russ,

Thank you for your review. New version was submitted with corrections.
Please find answer in-line.

On Wed, Apr 3, 2019 at 8:34 PM Russ Housley via Datatracker <
[email-masked]> wrote:

> Reviewer: Russ Housley
> Review result: Ready with Nits
> Minor Concerns:
>
> Section 1 says:
>
>    ... This document clarifies examples that intend to
>    illustrate the result of the normative language in RFC8200 and
>    RFC6553.  In other words, the examples are intended to be normative
>    explanation of the results of executing that language.
>
> This set the wrong expectation for me.  What the document seems to
> be doing is aligning with the recent normative change in RFC8200.  The
> alignment could lead to a flag day, and this document suggests a way to
> avoid a flag day.  It goes through a whole bunch of use cases to
> illustrate the updates.
>

New text was added to adress this:
"The ROLL WG analysized how [RFC2460] rules apply to storing and non-
storing use of RPL. The result was 24 data plane use cases. They are
exhaustively outlined here in order to be completely unambiguous. During
the processing of this document, new rules were published as [RFC8200], and
this document was updated to reflect the normative changes in that
document. "

>
>
> Nits:
>
> In Table 6, please move some of the whitespace on the right to the first
> column to avoid so many words being split across lines.
>
> Tables were fixed.

All the Best,

Ines